# The Sambal SOS App (Formerly the Bendera Putih App)  🏳 🇲🇾
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)

[Sambal SOS App](http://sambalsos.com/) is a social welfare platform that supports Malaysians in need by bridging the gap of social inequity. 

Hop on the [app](http://sambalsos.com/)  if:
- you see someone who needs help when driving or in your neighbourhood and want to report it so someone can help
- you're looking to support other fellow Malaysians

Built:
- By Malaysians, for Malaysians.  🇲🇾
- Developed by passionate Malaysian developers, under this time of the MCO. 🥰
- Living in a lockdown may feel uncertain, but we're in this together 💪.

## The [#benderaputih](https://twitter.com/hashtag/benderaputih) Movement
In Malaysia, the [#benderaputih](https://twitter.com/hashtag/benderaputih) movement is a social media movement urging those in urgent need of living necessities or resources to place white flags outside their homes. In this time of a pandemic, white flags placed outside homes are notices to others that they are out of food or living necessities and need help right away. 

_Cited from a [tweet](https://twitter.com/NewsBFM/status/1409734501631098881) on the [BFM News](https://twitter.com/NewsBFM/) Twitter account._

As of 2nd July 2021, the [#benderaputih](https://twitter.com/hashtag/benderaputih) movement is currently one of the largest movements in our nation, and is also trending on [Twitter](https://twitter.com) under the [#benderaputih](https://twitter.com/hashtag/benderaputih) hashtag.


## Usage
Members of our community can post a picture through this web app if they see a white flag nearby and it will be displayed on a map, so that anyone on the internet can help those in need.  Users of the app can also view the white flags posted in under a 10 KM radius of their physical location, to discover those in need who are nearby and possibly provide them with the needed resources.

We believe that our project will provide the necessary support for communities nationwide, and will benefit a lot of people in our communities, especially the underserved in tough times like these.

## About us
We're a team of student developers passionate to make a positive impact to our community. The development of the [Sambal SOS App](http://sambalsos.com/) is a continuous process for the time being, and we believe that developing this app is a way for us to volunteer and contribute to the communities in Malaysia.

## Contributing
Currently, our team consists of mostly student developers, and we are running on a 0 budget. Maintaining the [Sambal SOS App](http://sambalsos.com/) involves financial costs, hence we are opening up to the public for volunteering or contributions.

### Monetary
If you're willing to support us financially, please do get in touch with us!
Monetary donations will be primarily utilized for maintenance costs of the [Sambal SOS App](http://sambalsos.com/), which includes: server costs, domain costs, etc. 

### Development
Sambal SOS is built from the ground up on a monster stack: React.js (Chakra UI, Redux), Node.js (Express), PostgreSQL and Google Cloud.
Read about the development workflow, the issues we faced and how we solved them [here](https://medium.com/@sidharrth2002/how-sambal-sos-scaled-the-complete-development-workflow-8b5401bd952c).

The frontend is hosted on Vercel, while our backend lives on App Engine.

If you have experience in any of the following skills, you're exactly who we're looking for to join the team:
- frontend development (JavaScript, React.js)
- backend development (Node.js, Express.js)
- social media management
- crowdsourcing data

### Other
If you're interested to support us in other ways, do reach out to us using any of the contact details listed in the [Contact us](src/README.md#Contact) section.

## Features & Milestones
The features and milestones that we plan to achieve for [Sambal SOS App](http://sambalsos.com/) are:
- ✅ @mentions, #refs, [links](), **formatting**, and <del>tags</del> supported
- ✅ Users having the ability to post white flag incidences
- ✅ Users having the ability to view white flag incidences within a 10 KM radius of the user's location
- ✅ Users having the ability to view food banks within a 10 KM radius of the user's location

## Contact us
Let's connect! 📧

[Email ✉](mailto:info.benderaputih@gmail.com)
\
[Discord 👾](https://discord.gg/9QeJu9M9)

## License
[Sambal SOS App](http://sambalsos.com/) is open source, licensed under the [MIT](https://choosealicense.com/licenses/mit/) license
